#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

# Tworzenie użytkownika w AD

$ścieżka= "LDAP://serwer1/CN=Walter Skinner,OU=Kierownicy,DC=FBI,DC=net"

# Usuwanie użytkownika, jeżeli istnieje
$użytkownik = new-object system.directoryservices.directoryEntry($ścieżka)

if ([system.directoryservices.directoryEntry]::Exists($ścieżka))
{
"Konto użytkownika już istnieje i zostanie teraz usunięte!"
$użytkownik.PSBase.DeleteTree()
}
else
{
"Konto użytkownika nie istnieje!"
}

# Tworzenie użytkownika
$ścieżka= "LDAP://serwer1/OU=Kierownicy,DC=FBI,DC=net"
$nazwa = "Walter Skinner"
$nazwaNT = "WalterSkinner"
$ou = New-Object DirectoryServices.DirectoryEntry($ścieżka)

$użytkownik = $ou.PSBase.Children.Add("CN=" + $nazwa,'user')
$użytkownik.PSBase.CommitChanges() 
$użytkownik.SAMAccountName = $NTname
$użytkownik.l = "Washington"
$użytkownik.Description = "Kierownik FBI"
$użytkownik.PSBase.CommitChanges() 

"Użytkownik został utworzony: " + $użytkownik.PBase.Path
$użytkownik.Setpassword("seKret-123")
"Hasło zostało utworzone"
$użytkownik.userAccountControl = 512
$użytkownik.PSBase.CommitChanges() 
"Konto zostało włączone!"

# Rename User
#$ścieżka= "LDAP://serwer1/CN=Walter Skinner,OU=Kierownicy,DC=FBI,DC=net"
#$użytkownik = new-object system.directoryservices.directoryEntry($ścieżka)
#$użytkownik.PSBase.Rename("cn=Walter S. Skinner")
#"Nazwa użytkownika została zmieniona!"

# Move User
#$ścieżka= "LDAP://serwer1/CN=Fox Mulder,OU=Agenci,DC=FBI,DC=net"
#$cel = "LDAP://serwer1/CN=Users,DC=FBI,DC=net "
#$użytkownik = new-object system.directoryservices.directoryEntry($ścieżka)
#$użytkownik.PSBase.MoveTo($cel)
#"Obiekt został przeniesiony!" 

